Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1102018 - PRD35 - [RFE] Drop Linux bridge plugin support from neutron integration
Summary: PRD35 - [RFE] Drop Linux bridge plugin support from neutron integration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.5.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
: 3.5.0
Assignee: Moti Asayag
QA Contact: GenadiC
URL:
Whiteboard: network
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-28 11:01 UTC by Martin Pavlik
Modified: 2016-02-10 19:46 UTC (History)
10 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Deprecated Functionality
Doc Text:
Previously, the OpenStack Networking (Neutron) integration supported both the Linux Bridge and Open vSwitch plug-ins. Since Open vSwitch is the recommended plug-in to use with Red Hat Enterprise Linux OpenStack Platform and it offers feature parity with Linux Bridge, the Linux Bridge plug-in is dropped from the integration.
Clone Of:
Environment:
Last Closed: 2015-02-11 18:02:39 UTC
oVirt Team: Network
Target Upstream Version:
nyechiel: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 28790 master MERGED engine: Disable support for LinuxBridge plugin Never

Internal Links: 1100852

Description Martin Pavlik 2014-05-28 11:01:28 UTC
Description of problem:

we need to drop Linux bridge plugin support for neutron integration, since Linux bridge is officially not supported in RHOS

Comment 1 Nir Yechiel 2014-05-29 10:27:59 UTC
Hi Moti,

Can you elaborate what is the work that required here? Is this feasible for 3.5?

Thanks,
Nir

Comment 2 Moti Asayag 2014-05-29 11:03:09 UTC
(In reply to Nir Yechiel from comment #1)
> Hi Moti,
> 
> Can you elaborate what is the work that required here? Is this feasible for
> 3.5?
> 
> Thanks,
> Nir

It mostly requires deleting code from the engine that deals with linux-bridge. We'd probably like to depracate on of the code in ovirt-host-deploy as well.

It should be feasiable for 3.5.

Comment 3 GenadiC 2014-07-17 08:14:19 UTC
Verified in 3.5.0-0.0.master.20140715172116.git4687dc1.el6

Comment 4 Nir Yechiel 2014-11-30 10:14:38 UTC
Linux Bridge is supported in RHEL OSP, but OVS is the recommended (and more tested) one. Rephrasing the doc text.

Comment 6 errata-xmlrpc 2015-02-11 18:02:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.